logo Weezblog

Se connecter S'inscrire
aujourd'hui : 6
Article
Comme quelqu'un que je connais me l'a demandé voici un tuto pour installer la version 2.6 de the GIMP sur Debian Lenny (Stable).

En effet la version disponible sur les dépôts n'est que la 2.4, ce qui peut être gênant notamment pour l'installation du plugin GPS (Gimp Paint Studio) . Je vous conseille ce plugin, surtout si vous êtes à la recherche de bonnes nouvelles brosses, il ajoute aussi de nombreuses et intéressantes fonctionnalités.  

Bon passons aux choses sérieuses!

tout d'abord installer les dépendances, en root :

apt-get build-dep gimp


Les paquet libgegl-0.0-dev et libbabl-0.0-0-dev sont aussi nécessaires :
apt-get install libgegl-0.0-dev et libbabl-0.0-0-dev


Télécharger les sources de the GIMP (site officiel).

On décompresse l'archive :
tar -xvf gimp-2.6.8.tar.bz2

Penser à changer le numéro de la version si ce n'est pas 2.6.8 smiley 

Ensuite on entre dans le dossier :
cd gimp-2.6.8


Puis un petit "configure" pour préparer notre compilation.
Si vous souhaitez l'installer dans votre home :
./configure --prefix=/home/user/usr

Sinon :
./configure


Ensuite on compile (c'est normal si cela prend un peu de temps):
make


Puis (si vous ne l'installez pas dans votre home, la commande suivante s'effectue en Root) :
make install


puis on exécute :
gimp-2.6


A vous de jouer!

Posté le 11/03/2010 à 23:15 par Sandman
Edité le 21/03/2010 à 15:09 par Sandman
Catégorie compilation

2 commentaires : Voir - Ajouter

1